import axios from 'axios'
import store from './../store/store.js'
import Vue from 'vue'
const isDev = process.env.NODE_ENV === 'development'
//get method
//	return axios.get(url,{params : data }).then((res)=>{
//			return Promise.resolve(res.data)
//	})

axios.interceptors.request.use(function (config) {
	
	store.dispatch('showLoading')
    config.headers.token = localStorage.getItem('token')
    config.headers.deviceType = localStorage.getItem('deviceType') || 4
    config.headers.addressId = localStorage.getItem('addressId')
    if(config.data){
    	 config.data.deviceType = 4
    	 config.data.addressId = localStorage.getItem('addressId')
    }
    return config;
  }, function (error) {
  	
    return Promise.reject(error);
 });
  

axios.interceptors.response.use(function (response) {
    // token 过期处理
    store.dispatch('hideLoading')
    if(response.data &&( response.data.message === '100102009' 
    	|| response.data.desc == '登录已过期，请重新登录~')){
    		
    		Vue.prototype.$toast('登录已过期，请重新登录~',{location:'bottom'})
    		if(window.__wxjs_environment === 'miniprogram'){
					
				wx.miniProgram.reLaunch({url: '/pages/login/login'})
			}else{
				window.parent.postMessage({
		            yijiupiType: 0
				},"*");		
			}
    }
    return response;
  }, function (error) {
  	store.dispatch('hideLoading')
    return Promise.reject(error);
 });


/*
 * 联调完毕  成型接口  (zeng) resource
 */
export function getHomeInfo(){

	const url="/HomePage/SecondHomePage"

	const data =  {
		data:localStorage.getItem('specialAreaId')||''
		}
	return	axios({
			    method:'get',
			    url:url,
			    params:data
			}).then((res)=>{
				return Promise.resolve(res.data)
			})
}

export function queryCategoryList(){
	
	const url = '/ProductCategory/SecondPageCategory' 
	const data = {
	}
	
	return axios({
		method:'get',
		url : url ,
		params : data
	}).then((res)=>{
		return Promise.resolve(res.data)
	})
}

/*获取二级主页活动列表*/
export function ListSecondHomePromotion(param){
	const url = "/Promotion/ListSecondHomePromotion"
	return	axios({
			    method:'get',
			    url:url,
			    params:param
			}).then((res)=>{
				return Promise.resolve(res.data)
			})
}
/*获取特卖品牌列表*/
export function ListSpecialSaleBrand(){
	const url = "/Brand/ListSpecialSaleBrand"
	const data = {
	}
	return	axios({
			    method:'get',
			    url:url,
			    params:data
			}).then((res)=>{
				return Promise.resolve(res.data)
			})
}
//获取子类目列表
export function ListSonCategory(data){
	const url = "/ProductCategory/ListSonCategory"
	return	axios({
			    method:'get',
			    url:url,
			    params:data
		}).then((res)=>{
				return Promise.resolve(res.data)
			})
}
/**品牌会场**/
 export function ListBrandBelongCategory(params){
 	const url = "/ProductCategory/ListBrandBelongCategory"
 	const Data = {
 		data:{
	 		brandIds : params.brandIds,//array
	 		searchKey : params.searchKey,
	 		searchModes : params.searchModes,
	 		shopId : params.shopId,
	 		specialAreaId : localStorage.getItem("specialAreaId")
 		}
	}
 	return	axios({
			    method:'post',
			    url:url,
			    data:Data
		}).then((res)=>{
				return Promise.resolve(res.data)
			})	
 }

/*
 *  开发模式  测试代理胡开阳接口  勿动 
 */

export function loadMoreList(params){
	const url = "/Product/ListProduct"
	return	axios({
			    method:'post',
			    url:url,
			    data:params
			}).then((res)=>{
				return Promise.resolve(res.data)
			})
}

export function AddShopCart(params){
	const url = '/ShopCar/AddShopCart'  
	const data = {
		data :{
			count : params.buyCount,
			productSkuId : params.productSkuId,
			productType : params.productType,
			saleSpecId : params.saleSpecId,
			sellingPrice : params.sellingPrice,
			sellingPriceUnit: params.sellingPriceUnit,
			sourceId : params.sourceId,
		}
	}
	
	return axios({
		method:'post',
		url : url ,
		data : data
	}).then((res)=>{
		return Promise.resolve(res.data)
	})
}
export function ListSecondHomeBanner(data){
	const url = '/Banner/List'  
	const params = {
		data :data
	}
	return axios({
		method:'post',
		url : url ,
		data : params
	}).then((res)=>{
		return Promise.resolve(res.data)
	})
}