import Vue from 'vue'
import alertComponent from './alert.vue'

let initAlert = Vue.extend(alertComponent)

/*
 * @options 
 * 	[title   content    btnText]
 */
let Alert = (options)=>{
	
	if (typeof options === 'string'){
		options = {
			content : options
		}
	}
	
	let instance;
	const Dom = document.createElement('div')
	document.body.appendChild(Dom)
	instance = new initAlert().$mount(Dom)
	
	Object.assign(instance.$data.w,options)
	instance.show = true;
	 
	return new Promise((resolve,reject)=>{
		/*fix 弹窗出来之后依旧键盘没有回收*/
        let inputs = Array.prototype.slice.call(document.querySelectorAll('input'));
        inputs.forEach((input)=>{
            input.blur();
        });
		
		let success = instance.success
		instance.success = ()=>{
			success()
			resolve('success')
		}
	})
}

export default {
	install () {
		Vue.prototype.$alert = Alert	
	}
}
