import Vue from 'vue'

Vue.prototype.jumpMicro = function(type,data){
	//micro约定  openUrlControll
	window.parent.postMessage({
		yijiupiType: type,
		 dataId: data
	},"*");
}

Vue.prototype.jumpWx =function(url,data){
	//url 格式   '/pages/product/productDetail?productSkuId='  
	//只支持 navigateTo 方式跳转目前
	data = data || ''
	wx.miniProgram.navigateTo({
		url: url+data
	});
}

Vue.filter('price',function(val,unit){

	let value = 0.00;
	if(val){
	  value = val.toFixed(2);
	}
	let nums = value.split('.');
	return `<span class="fz36">${nums[0]}<span><span class="fz26">.${nums[1]} <span class="fz24">元/${unit}</span></span>`
})

Vue.filter('productname', function(name, prefix) {

	let len = prefix ? 18 : 24
	if(name.length >= len) {
		return name.substring(0, len) + '...'
	} else {
		return name
	}
})

Vue.filter('kucun', function(product) {

	if(isNaN(product.stockState)) {
		return product.stockState;
	}
	var count = product.storeCount;
	var dw = product.storeUnit;
	var preparecount = product.presaleStoreCount;
	if(product.stockState === 2) {
		if(count <= 0) {
			return "库存：缺货";
		} else {
			return "库存：" + count + dw;
		}
	} else if(product.stockState === 3) {
		return "库存：缺货";
	} else if(product.stockState === 4) {
		return "预售：" + preparecount + dw;
	}

});

Vue.directive('wc-loading', {
	
	bind (el) {
		let a = (+new Date()).toString()
		el.classList.add('wc-loading-wrap',a);
	}
})
Vue.directive('wc-increment', {
	
	bind (el) {
		el.classList.add('wc-increment__btn');
	}
})
Vue.directive('wc-decrement', {
	
	bind (el) {
		el.classList.add('wc-decrement__btn');
	}
})
Vue.directive('wc-edit', {
	
	bind (el) {
		el.classList.add('wc-edit__put');
	}
})

Vue.directive('wc-then', {
	
	bind (el) {
		el.classList.add('wc-messagebox__btn--then');
	}
})

Vue.directive('wc-catch', {
	
	bind (el) {
		el.classList.add('wc-messagebox__btn--catch');
	}
})


Vue.directive('wc-mask', {
	
	bind (el) {

		/* 这个做寻找的时候的标记量 */
		el.classList.add('wc-messagebox__mask---');

		/* init */
		el.classList.add('wc-messagebox__mask-transition---');
		el.classList.add('wc-messagebox__mask-diff---');

		/* 移除以触发变化*/
		setTimeout(()=>{
			el.classList.remove('wc-messagebox__mask-diff---');
		}, 50)
	}
})

Vue.directive('wc-popup', {
	
	bind (el) {

		/* 这个做寻找的时候的标记量 */
		el.classList.add('wc-messagebox__popup---');

		/* init */
		el.classList.add('wc-messagebox__popup-transition---');
		el.classList.add('wc-messagebox__popup-diff---');

		/* 移除以触发变化*/
		setTimeout(()=>{
			el.classList.remove('wc-messagebox__popup-diff---');
		}, 50)
	}
})
