/*
 * 处理缓存商品 
 * 
 */
//get localStorage 

function getAllGoods(){
	let goods = localStorage.getItem('goods');
	if(!goods){
	  	return  false;
	}
	goods = JSON.parse(goods);//maybe [] 
	return goods;
}

function  setAllGoods(goods){
	if(!goods && !goods.length){
		return false;
	}
	localStorage.setItem('goods',JSON.stringify(goods));
}

//push and update goods 
function  updateItem(sku,number){
	

	let goods = getAllGoods();
	if(!goods || !goods.length){
		sku.buyCount = number;
		goods = new Array(sku);
	}else{
		let idx = goods.findIndex((item)=>{
			return item.productSkuId === sku.productSkuId &&
				item.productSaleSpecId === sku.productSaleSpecId
		})
		if(idx != -1){
			goods[idx].buyCount = number
		}else{
			goods.push(sku)
		}
	}
	setAllGoods(goods);
}

//remove goods
function removeItem(sku){
	
	let goods = getAllGoods();
	if(!goods || !goods.length){
		return false;
	}
	let idx = goods.findIndex((item)=>{
		return item.productSkuId === sku.productSkuId &&
			item.productSaleSpecId === sku.productSaleSpecId
	})
	if(idx === -1){
		return false;
	}
	goods.splice(idx,1)	
	setAllGoods(goods)
}

//clear goods
function clearGoods(){
	
	localStorage.removeItem('goods')
}


module.exports={
	getAllGoods,
	setAllGoods,
	updateItem,
	removeItem,
	clearGoods
}
