import Vue from 'vue'
import VueRouter from 'vue-router'
import VueLazyload from 'vue-lazyload'
// import VConsole from 'vconsole' //import vconsole
// let vConsole = new VConsole() // 初始化

import App from './app.vue'
import store from './store/store.js'
import './common/appConfig.js'
import {Alert, Confirm, Toast,Loading,dialogProduct} from './base/dialog/index.js'

Vue.use(VueRouter)
Vue.use(VueLazyload, {
	error:require('./assets/images/loading-logo.png'),
	loading: require('./assets/images/loading-logo.png')
})
Vue.use(Toast)
Vue.use(Alert)
Vue.use(Confirm)
Vue.use(Loading)
Vue.use(dialogProduct)

import {routes} from './router/index.js'
const router = new VueRouter({
	routes
})
/*
 * 微信头部 微商城头部导航title处理 
 * beforeEach 全局router拦截器 
 */
router.beforeEach((to, from, next) => {
	store.dispatch('hideLoading')
	if(to.meta.title) {
		document.title = to.meta.title
		if(to.secondsort != 'secondsort' && to.secondsort != 'brandvenue' &&
			window.__wxjs_environment != 'miniprogram') {
			window.parent.postMessage({
				yijiupiType: 999,
				dataTitle: to.meta.title
			}, "*");
		}
	}
	next()
})
import './assets/styles/global.styl' 
import './assets/styles/base.styl'
import 'lib-flexible'

const root = document.createElement('div')
document.body.appendChild(root)

new Vue({
  router,
  store,
  render: (h) => h(App)
}).$mount(root)

