import Vue from 'vue'
import vuex from 'vuex'

Vue.use(vuex)

const SET_TOKEN = 'SET_TOKEN'
const SHOW_LOADING = 'SHOW_LOADING' 
const HIDE_LOADING = 'HIDE_LOADING' 


const store = new vuex.Store({
	state : {
		token : ''
	},
	getters : {
		
	},
	mutations : {
		[SET_TOKEN](state,token){ //store.commit('SET_TOKEN',xxxx)
			state.token = token
		},
		[SHOW_LOADING](state){
			Vue.prototype.$Loading()
		},
		[HIDE_LOADING](state){
			let $el = document.querySelector('.wc-loading-wrap')
		  	$el && $el.parentNode.removeChild($el);
		},
	},
	actions : {
		setToken ({ commit, state }, token) {
		    commit('SET_TOKEN',token)
		},
		showLoading ({commit}){
			commit('SHOW_LOADING')
		},
		hideLoading ({commit}){
			commit('HIDE_LOADING')
		}
	}
})

export default store